Getting Started

Tech Requirements

READYgg SDK requires the following software:
  • Unity 2020 LTS or later. Installation instructions.
    • It is always recommended to use a late version of Unity for bug fixes and up-to-date compatibility.
    • Unity 2020.3.48f is officially supported & preferred version.
    • You can also use the 2021.* or 2022.* Unity versions.
  • XCode 14.x when developing games for iOS Installation instructions.
    • Deployment target of 12.0 or higher.
  • Android Studio 4.x or higher (when building games for Android) Installation instructions.
    • Android API Level 24 (Android 7.0) or higher.
  • Git client with Git LFS Installation instructions.

Template project repository

In order to simplify the setup process you can start new Unity project by using our example repository: Github link. It's recommended in case you start a new project from scratch with READYgg SDK integrated. If it is not the case, then simply follow the steps below.

Prerequisites

Setup your bundle identifier in the project setting:

  1. 1.
    Open project settings Unity window: Edit->Project Settings...
  2. 2.
    Select Player and open the Other Settings section
  3. 3.
    For iOS tab change the Bundle Identifier
  4. 4.
    For Android tab change the Package Name

Android

Choose Minimum API Level 21 in Project Settings->Player->Other Settings
For Android you can also change the Scripting Backend from Mono to IL2CPP. Since Unity Android Mono backend does not support arm64 which is required on Android Play Market. But to keep the development iterations faster, you can also keep Mono and only later jump to IL2CPP.

Integration Support

If you are unable to find a solution in our documentation you can reach out to us directly by:
  • Creating a GitHub issue here
  • Dropping a message in our Discord dev-chat here